Package de.willuhn.jameica.hbci.gui.controller

# Class DauerauftragControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl
de.willuhn.jameica.hbci.gui.controller.DauerauftragControl

public class DauerauftragControl extends AbstractTransferControl
Controller fuer Dauer-Auftraege.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`DauerauftragControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`DauerauftragList`
`getDauerauftragListe()`
Liefert eine Tabelle mit allen vorhandenen Dauerauftraegen.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerBlz()`
Liefert das Eingabe-Feld fuer die BLZ.
`de.willuhn.jameica.gui.input.TextInput`
`getEmpfaengerKonto()`
Liefert das Eingabe-Feld fuer den Empfaenger.
`AddressInput`
`getEmpfaengerName()`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.
`de.willuhn.jameica.gui.input.Input`
`getErsteZahlung()`
Liefert ein Datums-Feld fuer die erste Zahlung.
`KontoInput`
`getKontoAuswahl()`
Ueberschreiben wir, um die Auswahl des Kontos zu verbieten, wenn der Dauerauftrag schon aktiv ist.
`de.willuhn.jameica.gui.input.Input`
`getLetzteZahlung()`
Liefert ein Datums-Feld fuer die letzte Zahlung.
`de.willuhn.jameica.gui.input.Input`
`getOrderID()`
Liefert ein Anzeige-Feld fuer die Order-ID des Dauerauftrages.
`de.willuhn.jameica.gui.input.Input`
`getTextSchluessel()`
Liefert ein Auswahlfeld fuer den Textschluessel.
`HibiscusTransfer`
`getTransfer()`
Liefert den Transfer.
`de.willuhn.jameica.gui.input.DialogInput`
`getTurnus()`
Liefert ein Auswahlfeld fuer den Zahlungsturnus.
`de.willuhn.jameica.gui.input.TextInput`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.DialogInput`
`getZweck2()`
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.
`boolean`
`handleStore()`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.hbci.gui.controller.AbstractTransferControl

`getKonto, getStoreEmpfaenger`

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DauerauftragControl

public DauerauftragControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getTransfer

public HibiscusTransfer getTransfer() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert den Transfer.

Specified by:
  `getTransfer` in class `AbstractTransferControl`
Returns:
  der Transfer oder `null` wenn keiner existiert.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getTransfer()`

### getDauerauftragListe

public DauerauftragList getDauerauftragListe() throws RemoteException
Liefert eine Tabelle mit allen vorhandenen Dauerauftraegen.

Returns:
  Tabelle.
Throws:
  `RemoteException`

### getTurnus

public de.willuhn.jameica.gui.input.DialogInput getTurnus() throws RemoteException
Liefert ein Auswahlfeld fuer den Zahlungsturnus.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getOrderID

public de.willuhn.jameica.gui.input.Input getOrderID() throws RemoteException
Liefert ein Anzeige-Feld fuer die Order-ID des Dauerauftrages.

Returns:
  Anzeige-Feld.
Throws:
  `RemoteException`

### getErsteZahlung

public de.willuhn.jameica.gui.input.Input getErsteZahlung() throws RemoteException
Liefert ein Datums-Feld fuer die erste Zahlung.

Returns:
  Datums-Feld.
Throws:
  `RemoteException`

### getLetzteZahlung

public de.willuhn.jameica.gui.input.Input getLetzteZahlung() throws RemoteException
Liefert ein Datums-Feld fuer die letzte Zahlung.

Returns:
  Datums-Feld.
Throws:
  `RemoteException`

### getTextSchluessel

public de.willuhn.jameica.gui.input.Input getTextSchluessel() throws RemoteException
Liefert ein Auswahlfeld fuer den Textschluessel.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getKontoAuswahl

public KontoInput getKontoAuswahl() throws RemoteException
Ueberschreiben wir, um die Auswahl des Kontos zu verbieten, wenn der Dauerauftrag schon aktiv ist.

Overrides:
  `getKontoAuswahl` in class `AbstractTransferControl`
Returns:
  Auswahl-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getKontoAuswahl()`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Betrag.

Overrides:
  `getBetrag` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getBetrag()`

### getEmpfaengerName

public AddressInput getEmpfaengerName() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Empfaenger-Namen.

Overrides:
  `getEmpfaengerName` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getEmpfaengerName()`

### getEmpfaengerKonto

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerKonto() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Empfaenger.

Overrides:
  `getEmpfaengerKonto` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getEmpfaengerKonto()`

### getEmpfaengerBlz

public de.willuhn.jameica.gui.input.TextInput getEmpfaengerBlz() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer die BLZ.

Overrides:
  `getEmpfaengerBlz` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getEmpfaengerBlz()`

### getZweck

public de.willuhn.jameica.gui.input.TextInput getZweck() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Overrides:
  `getZweck` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getZweck()`

### getZweck2

public de.willuhn.jameica.gui.input.DialogInput getZweck2() throws RemoteException
Description copied from class: `AbstractTransferControl`
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.

Overrides:
  `getZweck2` in class `AbstractTransferControl`
Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`
See Also:
  - `AbstractTransferControl.getZweck2()`

### handleStore

public boolean handleStore()
Description copied from class: `AbstractTransferControl`
Speichert den Geld-Transfer.

Overrides:
  `handleStore` in class `AbstractTransferControl`
Returns:
  true, wenn das Speichern erfolgreich war.
See Also:
  - `AbstractTransferControl.handleStore()`